OGRE: Ogre::BillboardChain::ChainSegment Struct Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::BillboardChain::ChainSegment Struct Reference

Simple struct defining a chain segment by referencing a subset of the preallocated buffer (which will be mMaxElementsPerChain * mChainCount long), by it's chain index, and a head and tail value which describe the current chain. More...

`#include <OgreBillboardChain.h>`

List of all members.

## Public Attributes

size_t | start
| The start of this chains subset of the buffer.
size_t | head
| The 'head' of the chain, relative to start.
size_t | tail
| The 'tail' of the chain, relative to start.

## Detailed Description

Simple struct defining a chain segment by referencing a subset of the preallocated buffer (which will be mMaxElementsPerChain * mChainCount long), by it's chain index, and a head and tail value which describe the current chain.

The buffer subset wraps at mMaxElementsPerChain so that head and tail can move freely. head and tail are inclusive, when the chain is empty head and tail are filled with high-values.

Definition at line 294 of file OgreBillboardChain.h.

## Member Data Documentation

size_t Ogre::BillboardChain::ChainSegment::head

| The 'head' of the chain, relative to start. Definition at line 299 of file OgreBillboardChain.h.

size_t Ogre::BillboardChain::ChainSegment::start

| The start of this chains subset of the buffer. Definition at line 297 of file OgreBillboardChain.h.

size_t Ogre::BillboardChain::ChainSegment::tail

| The 'tail' of the chain, relative to start. Definition at line 301 of file OgreBillboardChain.h.

The documentation for this struct was generated from the following file:

- OgreBillboardChain.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:46:32 2008